// Controls Show / Hide



$("#p1_toggle").click(function () {

	if ($("#p1").hasClass("show")) {

		$("#p1_toggle i").removeClass("fa-chevron-circle-down");

		$("#p1_toggle i").addClass("fa-chevron-circle-up");

	} else {

		$("#p1_toggle i").removeClass("fa-chevron-circle-up");

		$("#p1_toggle i").addClass("fa-chevron-circle-down");

	}

});





$("#p2_toggle").click(function () {

	if ($("#p2").hasClass("show")) {

		$("#p2_toggle i").removeClass("fa-chevron-circle-down");

		$("#p2_toggle i").addClass("fa-chevron-circle-up");

	} else {

		$("#p2_toggle i").removeClass("fa-chevron-circle-up");

		$("#p2_toggle i").addClass("fa-chevron-circle-down");

	}

});







// Theory Button

$("#btn_theory").click(function () {

	if ($("#oer_theory").hasClass("hide")) {

		$("#oer_theory").removeClass("hide");

		$("#btn_theory").addClass("active");

		$("#oer_application").addClass("hide");

		$("#btn_application").removeClass("active");

		$("#oer_investigation").addClass("hide");

		$("#btn_investigation").removeClass("active");

	} else {

		$("#oer_theory").addClass("hide");

		$("#btn_theory").removeClass("active");

	}

});





// Application Button

$("#btn_application").click(function () {

	if ($("#oer_application").hasClass("hide")) {

		$("#oer_theory").addClass("hide");

		$("#btn_theory").removeClass("active");

		$("#oer_application").removeClass("hide");

		$("#btn_application").addClass("active");

		$("#oer_investigation").addClass("hide");

		$("#btn_investigation").removeClass("active");

	} else {

		$("#oer_application").addClass("hide");

		$("#btn_application").removeClass("active");

	}

});





// Investigation Button

$("#btn_investigation").click(function () {

	if ($("#oer_investigation").hasClass("hide")) {

		$("#oer_theory").addClass("hide");

		$("#btn_theory").removeClass("active");

		$("#oer_application").addClass("hide");

		$("#btn_application").removeClass("active");

		$("#oer_investigation").removeClass("hide");

		$("#btn_investigation").addClass("active");

	} else {

		$("#oer_investigation").addClass("hide");

		$("#btn_investigation").removeClass("active");

	}

});





// Harbuger menu

$("#hmenu a").click(function () {

	$('.bar').toggleClass('animate');

	if ($("#oer_sidebar").hasClass("hide")) {

		$("#oer_sidebar").removeClass("hide");

	} else {

		$("#oer_sidebar").addClass("hide");

	}

});


$('#oer_inv_prev').click(function() {
	//$('#oer_application').hide();
	//$('#oer_investigation').show();

	$('#oer_inv_prev').hide();
	$('#oer_inv2').hide();
	$('#oer_inv1').show();
	$('#oer_inv_next').show();
	$('#oer_investigation').css('margin-top', '-200px');
});

$('#oer_inv_next').click(function() {
	//$('#oer_application').hide();
	//$('#oer_investigation').show();

	$('#oer_inv_next').hide();
	$('#oer_inv1').hide();
	$('#oer_inv2').show();
	$('#oer_inv_prev').show();
	$('#oer_investigation').css('margin-top', '-260px');
});



//initialize controls!!!

var kyklwma1_clicked = true;
var kyklwma2_clicked = false;

var kyk1_1_left=true; 
var kyk1_2_right=false;

var k2_start=true;
var kyk1_res=true;
var kyk2_res=false;

$('#oer_inv2').hide();



$("#kyklwma1").css("cursor", "auto");
$("#kyklwma1").css("opacity", "1");
$("#kyklwma2").css("cursor", "pointer");
$("#kyklwma2").css("opacity", "0.5");


$("#oer_results").css("margin-top", "143px");

$("#kyk1_switch1").prop("checked",false);
$("#kyk1_switch2").prop("checked",true);









$("#kyklwma2").hover(function () {
	$("#kyklwma2").css("opacity", "1");

}, function () {
	if (!kyklwma2_clicked) {
		$("#kyklwma2").css("opacity", "0.5");
	}
	else {
		$("#kyklwma2").css("opacity", "1");
	}


})

$("#kyklwma1").hover(function () {
	$("#kyklwma1").css("opacity", "1");

}, function () {
	if (!kyklwma1_clicked) {
		$("#kyklwma1").css("opacity", "0.5");
	}
	else {
		$("#kyklwma1").css("opacity", "1");
	}


})


$("#kyklwma1").on("click", kyklwma1_click);
$("#kyklwma2").on("click", kyklwma2_click);

$("#kyk_switch").on("click", toggle_kyklwma);


$(document).on("change","#kyk1_switch1",kyk1_switch1_changed);
$(document).on("change","#kyk1_switch2",kyk1_switch2_changed);
$(document).on("change","#kyk2_switch1",kyk2_switch1_changed);
$(document).on("change","#kyk2_switch2",kyk2_switch2_changed);
$(document).on("change","#kyk2_switch3",kyk2_switch3_changed);




$('#p2 div[id^="kyk2"]').css("visibility", "hidden");
//$('#kyk1_1_sp').css("visibility", "hidden");


function kyklwma1_click() {
	if (kyklwma1_clicked) {
		;
	}
	else {

		kyklwma1_clicked = true;
		kyklwma2_clicked = false;
		$("#kyklwma1").css("cursor", "auto");
		$("#kyklwma1").css("opacity", "1");
		$("#kyklwma2").css("cursor", "pointer");
		$("#kyklwma2").css("opacity", "0.5");

		
		$('#p2 div[id^="kyk2"]').remove();
		$("#p2").append('      <div id="kyk1_1" class="checkbox checbox-switch switch-primary"><p><span style="font-size:20px">Διακόπτης Δ<sub>1</sub></span></p><label>Αριστερά  <input type="checkbox" name="kyk1_switch1" id="kyk1_switch1" checked="checked" /><span></span> Δεξιά</label></div><div id="kyk1_2" class="checkbox checbox-switch switch-primary" style="margin-top:25px"><p><span style="font-size:20px">Διακόπτης Δ<sub>2</sub></span></p><label>Αριστερά  <input type="checkbox" name="kyk1_switch2" id="kyk1_switch2" checked="checked" /><span></span> Δεξιά</label></div>        ');
		$("#oer_results").css("margin-top", "143px");

		$("#kyk_switch").prop("checked",false);
		

		$("#kyk1_switch1").prop("checked",switchk1_1_r.visible);
		$("#kyk1_switch2").prop("checked",switchk1_2_r.visible);


		show_k1();
	}


}

function kyklwma2_click() {
	if (kyklwma2_clicked) {
		;
	}
	else {
		//console.log("pame kala");

		kyklwma1_clicked = false;
		kyklwma2_clicked = true;
		$("#kyklwma2").css("cursor", "auto");
		$("#kyklwma2").css("opacity", "1");
		$("#kyklwma1").css("cursor", "pointer");
		$("#kyklwma1").css("opacity", "0.5");

		$("#kyk_switch").prop("checked",true);		

		$('#p2 div[id^="kyk1"]').remove();
		$("#p2").append('<div id="kyk2_1"  class="checkbox checbox-switch switch-primary" ><p><span style="font-size:20px">Διακόπτης Δ<sub>1</sub></span></p><label>Αριστερά  <input type="checkbox" name="kyk2_switch1" id="kyk2_switch1" checked="checked" /><span></span> Δεξιά</label></div><div id="kyk2_3" class="checkbox checbox-switch switch-primary" style="margin-top:25px"><p><span style="font-size:20px">Διακόπτης Δ<sub>3</sub></span></p><label>Αριστερά  <input type="checkbox" name="kyk1_switch3" id="kyk2_switch3" checked="checked" /><span></span> Δεξιά</label></div><div id="kyk2_2" class="checkbox checbox-switch switch-primary" style="margin-top:25px"><p><span style="font-size:20px">Διακόπτης Δ<sub>2</sub></span></p><label>Αριστερά  <input type="checkbox" name="ky2_switch2" id="kyk2_switch2" checked="checked" /><span></span> Δεξιά</label></div>');
		$("#oer_results").css("margin-top", "40px");

		if(k2_start){
			//console.log("#kyklwma2 icon clicked, show_initial_k2 will be executed");
			//console.log("what?");
			//k2_start=false;
			show_initial_k2();
		}
		else{
			show_k2();

		}

		
	}


}



